
QGIS Application - Bug report #16355

relative path in embedded groups are not respected

2017-03-14 08:06 AM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24265

Description

Embeding a layer with SVG symbols defined as relative path in a project not defined at the same path as the embed project will show

question marks (?) in place of the SVG symbol.

I suspect this is due to non forwarding relative path to the embed project path.

Associated revisions

Revision 3e18cc15 - 2017-05-13 12:02 PM - Martin Dobias

Respect relative paths in embedded projects (fixes #16355)

History

#1 - 2017-03-15 12:25 AM - Denis Rouzaud

- File embedded_svg.zip added

- Assignee set to Martin Dobias

with a demo project, it's always better.

would it be possible to add a test for this too?

#2 - 2017-03-15 12:31 AM - Paolo Cavallini

- Subject changed from relative path in embed groups are not repsected to relative path in embed groups are not respcted

#3 - 2017-03-15 12:40 AM - Denis Rouzaud

- Subject changed from relative path in embed groups are not respcted to relative path in embedded groups are not respected

#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-05-14 03:24 AM - Martin Dobias

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|3e18cc15f8565ac74c7b2570ba57a60c2970cdb8.
#6 - 2017-05-15 04:42 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated

Files

embedded_svg.zip 25.2 KB 2017-03-14 Denis Rouzaud
